import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const csvUrl = [
  'https://gist.githubusercontent.com/siddu7147/72270ccd78bbdd0800b64d51272c3dc5/raw/3bb2a75d7dd08de4f0166e209636ed05ccea6a9f/scatter.csv'
].join('');
const parseRow = (d) => {
  d.sepal_length = +d.sepal_length;
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  svg.call(
    scatterPlot()
      .width(width)
      .height(height)
      .data(await csv(csvUrl, parseRow))
      .xValue((d) => d.petal_width)
      .yValue((d) => d.sepal_length)
      .symbolValue((d) => d.species)
      .margin({
        top: 20,
        right: 20,
        bottom: 40,
        left: 50,
      })
      .size(100)
  );
};
main();
